@class TCToolBar;
@class IRCServer;
@class JKOutputManager;

@interface JKDocument : NSObject
{
    id textField;
    id textView;
    id window;

    id _target;
    IRCServer *_server;
    JKOutputManager *_outputManager;
}

- (id)initWithServer:(IRCServer *)server target:(id)target;

- (NSWindow *)window;
- (NSTextView *)textView;

- (void)textViewUpdateFinished;

- (void)textEntryFinished:(id)sender;

- (void)orderFrontFindPanel:(id)sender;
- (void)findNext:(id)sender;
- (void)findPrevious:(id)sender;
- (void)enterSelection:(id)sender;
- (void)jumpToSelection:(id)sender;

@end
