@class NSString, NSArray, NSDictionary;

@interface JKPersistentServerRepresentation : NSObject <NSCoding>
{
    NSString *_hostName;
    int _port;
    NSString *_nickname;
    NSString *_userDescription;
    NSArray *_knownChannels;
}

+ (JKPersistentServerRepresentation *)serverRepresentationWithServer:(IRCServer *)server;
- (id)initWithServer:(IRCServer *)server;

- (NSString *)hostName;
- (int)port;
- (NSString *)nickname;
- (NSString *)userDescription;

- (NSArray *)knownChannels;

@end
