@class NSObject, NSString;
@class IRCServer;

JEDIKNIGHT_EXPORT NSString *JKChannelManagerItem;

@interface JKChannelManager : TCPanelController
{
    id matrix;
    id tableView;
    id addPanel;
    id addPanelNameField;
    
    IRCServer *_server;
}

- (id)initWithServer:(IRCServer *)server;

- (void)addChannelEntry:(id)sender;
- (void)channelEntryAdded:(id)sender;
- (void)channelEntryCancelled:(id)sender;
- (void)tableViewDoubleClicked:(id)sender;

- (void)removeSelectedChannelEntry:(id)sender;
- (void)retrieveListOfChannels:(id)sender;

@end
